Where your submission stands
curl --request GET \
--url https://api.doers.sh/v2/marketplace/submissions/{packageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.doers.sh/v2/marketplace/submissions/{packageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.doers.sh/v2/marketplace/submissions/{packageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"submission": {
"packageId": "<string>",
"version": 0,
"state": "none",
"reason": "<string>",
"licence": "mit",
"submittedAt": 123,
"decidedAt": 123,
"listedVersion": 0
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Marketplace
Where your submission stands
The decision on your latest submission and, when it was rejected, the reason given. Also says which version Discover is serving, which is not always the one under review.
GET
/
v2
/
marketplace
/
submissions
/
{packageId}
Where your submission stands
Authorizations
A pc_… token generated from Settings > API & MCP.
Path Parameters
Identifier of a row.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Success.
Show child attributes
Show child attributes